> ## Documentation Index
> Fetch the complete documentation index at: https://docs.matia.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an integration run



## OpenAPI

````yaml GET /integrations/{id}/runs/{runId}
openapi: 3.0.1
info:
  title: OpenAPI Matia
  description: Matia API using the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.matia.io/v1
security:
  - ApiKeyAuth: []
paths:
  /integrations/{id}/runs/{runId}:
    get:
      summary: Get the status of a specific integration run
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
          description: The ID of the integration run
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationRunApiResponse'
        '404':
          description: Integration run not found
components:
  schemas:
    IntegrationRunApiResponse:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        data:
          type: object
          properties:
            id:
              type: string
            integrationId:
              type: string
            status:
              type: string
            startTime:
              type: string
              format: date-time
            endTime:
              type: string
              format: date-time
            committedRecords:
              type: integer
            emittedRecords:
              type: integer
            size:
              type: integer
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````